Package com.ads.api.beans.bgm

# Class Relationship

java.lang.Object
com.ads.api.beans.bgm.Relationship

public class Relationship extends Object
This class provides some beans control methods related to relationship such as id, masterId, titleForward, titleReverse, description, definedBy and relationshipType etc..

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Relationship()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `APIConstants.DefinedBy`
  `getDefinedBy()`
  Returns the definedBy of the relationship object
  `String`
  `getDescription()`
  Returns the description of the relationship object
  `int`
  `getId()`
  Returns the id of the relationship object
  `int`
  `getMasterId()`
  Returns the masterId of the relationship object
  `APIConstants.RelationshipType`
  `getRelationshipType()`
  Returns the relationshipType of the association object
  `String`
  `getTitleForward()`
  Returns the titleForward of the relationship object
  `String`
  `getTitleReverse()`
  Returns the titleReverse of the relationship object
  `void`
  `setDefinedBy(APIConstants.DefinedBy definedBy)`
  Sets the definedBy of the relationship object.
  `void`
  `setDescription(String description)`
  Sets the description of the relationship object.
  `void`
  `setId(int id)`
  Sets the id of the relationship object.
  `void`
  `setMasterId(int masterId)`
  Sets the masterId of the relationship object.
  `void`
  `setRelationshipType(APIConstants.RelationshipType relationshipType)`
  Sets the relationshipType of the association object.
  `void`
  `setTitleForward(String titleForward)`
  Sets the titleForward of the relationship object.
  `void`
  `setTitleReverse(String titleReverse)`
  Sets the titleReverse of the relationship object.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Relationship

    public Relationship()

- ## Method Details

  - ### getId

    public int getId()
    Returns the id of the relationship object
    Returns:
      id int

  - ### setId

    public void setId(int id)
    Sets the id of the relationship object.
    Parameters:
      `id` - int

  - ### getMasterId

    public int getMasterId()
    Returns the masterId of the relationship object
    Returns:
      masterId int

  - ### setMasterId

    public void setMasterId(int masterId)
    Sets the masterId of the relationship object.
    Parameters:
      `masterId` - int

  - ### getTitleForward

    public String getTitleForward()
    Returns the titleForward of the relationship object
    Returns:
      titleForward String

  - ### setTitleForward

    public void setTitleForward(String titleForward)
    Sets the titleForward of the relationship object.
    Parameters:
      `titleForward` - String

  - ### getTitleReverse

    public String getTitleReverse()
    Returns the titleReverse of the relationship object
    Returns:
      titleReverse String

  - ### setTitleReverse

    public void setTitleReverse(String titleReverse)
    Sets the titleReverse of the relationship object.
    Parameters:
      `titleReverse` - String

  - ### getDescription

    public String getDescription()
    Returns the description of the relationship object
    Returns:
      description String

  - ### setDescription

    public void setDescription(String description)
    Sets the description of the relationship object.
    Parameters:
      `description` - String

  - ### getDefinedBy

    public APIConstants.DefinedBy getDefinedBy()
    Returns the definedBy of the relationship object
    Returns:
      definedBy String

  - ### setDefinedBy

    public void setDefinedBy(APIConstants.DefinedBy definedBy)
    Sets the definedBy of the relationship object.
    Parameters:
      `definedBy` - String

  - ### getRelationshipType

    public APIConstants.RelationshipType getRelationshipType()
    Returns the relationshipType of the association object
    Returns:
      relationshipType RelationshipType

  - ### setRelationshipType

    public void setRelationshipType(APIConstants.RelationshipType relationshipType)
    Sets the relationshipType of the association object.
    Parameters:
      `relationshipType` - RelationshipType

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`